@echo This is an adapted idea from the methods of
@echo Dan Rosenberg (vulnfactory.org)
@echo -Script by Bin4ry-
echo off
cd data
echo Please plug the device in ADB-Mode
adb wait-for-device
echo Rename /data/local/tmp to be able to create symlink
adb shell mv /data/local/tmp /data/local/tmp.old
echo Trying to create /data symlink
adb shell ln -s /data /data/local/tmp
adb reboot
echo Waiting for device to reboot
adb wait-for-device
adb shell rm /data/local.prop > nul
echo Trying to write qemu value to prop-file
adb shell "echo \"ro.kernel.qemu=1\" > /data/local.prop"
echo Rebooting
adb reboot
echo Waiting for device to reboot again
adb wait-for-device 
echo Try to remount /system
adb remount
echo Pushing su and Superuser.apk
adb push su /system/bin/su
adb shell chmod 06755 /system/bin/su
adb push Superuser.apk /system/app/Superuser.apk
adb shell chmod 644 /system/app/Superuser.apk
echo Cleanup of the Stuff created while running
adb shell rm /data/local.prop
adb shell rm /data/local/tmp
adb shell mv /data/local/tmp.old /data/local/tmp
adb reboot
cd ..
pause
echo Reboot and done ;) Have fun!